summaryrefslogtreecommitdiffstats
path: root/source/xap/gnuplot
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/xap/gnuplot
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap/gnuplot')
-rwxr-xr-xsource/xap/gnuplot/gnuplot.SlackBuild38
-rw-r--r--source/xap/gnuplot/gnuplot.fix.info.generation.diff11
-rw-r--r--source/xap/gnuplot/slack-desc12
3 files changed, 47 insertions, 14 deletions
diff --git a/source/xap/gnuplot/gnuplot.SlackBuild b/source/xap/gnuplot/gnuplot.SlackBuild
index 862ae88bf..48c229969 100755
--- a/source/xap/gnuplot/gnuplot.SlackBuild
+++ b/source/xap/gnuplot/gnuplot.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=gnuplot
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -50,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-gnuplot
@@ -58,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf gnuplot-$VERSION
-tar xvf $CWD/gnuplot-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/gnuplot-$VERSION.tar.?z || exit 1
cd gnuplot-$VERSION || exit 1
chown -R root:root .
@@ -68,6 +77,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix default source location; use the GDFONTPATH variable to modify at runtime.
+# Thanks to the arch-folks.
+sed -i 's|/usr/X11R6/lib/X11/fonts/truetype|/usr/share/fonts/TTF|' src/variable.c
+sed -i -e 's|/usr/X11R6/lib/X11/fonts/Type1|/usr/share/fonts/Type1|' \
+ -e 's|$(X11ROOT)/X11R6/lib/X11/fonts/Type1|$(X11ROOT)/usr/share/fonts/Type1|' \
+ src/variable.c
+
+# Fix failure in building info file:
+zcat $CWD/gnuplot.fix.info.generation.diff.gz | patch -p1 --verbose || exit 1
+
# To distribute gnuplot binaries, you can not use GNU readline, as
# gnuplot does not use a GPL compatible free license.
CFLAGS="$SLKCFLAGS" \
@@ -78,13 +97,16 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--with-gd \
--with-caca \
+ --with-qt=no \
+ --without-libcerf \
+ --with-texdir=/usr/share/texmf-dist/tex/latex/gnuplot \
--datadir=/usr/share/gnuplot \
--with-readline=builtin \
--build=${ARCH}-slackware-linux || exit 1
#
# I think most people would rather not have a Qt dependency here.
-# --enable-qt
+# --with-qt=yes
#
make $NUMJOBS || make || exit 1
@@ -119,7 +141,7 @@ fi
mkdir -p $PKG/usr/doc/gnuplot-$VERSION
cp -a \
- BUGS CodeStyle Copyright FAQ.bloat INSTALL NEWS PATCHLEVEL PGPKEYS PORTING \
+ BUGS CodeStyle Copyright INSTALL NEWS PATCHLEVEL PGPKEYS PORTING \
README* TODO VERSION \
$PKG/usr/doc/gnuplot-$VERSION
cp -a demo $PKG/usr/doc/gnuplot-$VERSION
diff --git a/source/xap/gnuplot/gnuplot.fix.info.generation.diff b/source/xap/gnuplot/gnuplot.fix.info.generation.diff
new file mode 100644
index 000000000..ff4bd86df
--- /dev/null
+++ b/source/xap/gnuplot/gnuplot.fix.info.generation.diff
@@ -0,0 +1,11 @@
+--- ./docs/doc2texi.el.orig 2017-05-18 11:30:19.000000000 -0500
++++ ./docs/doc2texi.el 2017-09-30 13:21:17.213250046 -0500
+@@ -760,7 +760,7 @@
+ (while (re-search-forward "^#end" (point-max) "to_end")
+ (replace-match "@end itemize" t))
+ (goto-char (point-min))
+- (while (re-search-forward "^#b" (point-max) "to_end")
++ (while (re-search-forward "^#b " (point-max) "to_end")
+ (replace-match "@item\n" t))
+ (goto-char (point-min))
+ (while (re-search-forward "^##" (point-max) "to_end")
diff --git a/source/xap/gnuplot/slack-desc b/source/xap/gnuplot/slack-desc
index f0007b4a9..00b65e41d 100644
--- a/source/xap/gnuplot/slack-desc
+++ b/source/xap/gnuplot/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gnuplot: gnuplot (plotting utility)
gnuplot:
gnuplot: Gnuplot is a command-line driven interactive function plotting utility
-gnuplot: for UNIX, MSDOS, and VMS platforms. The software is copyrighted but
-gnuplot: freely distributed (i.e., you don't have to pay for it). It was
+gnuplot: for UNIX, MSDOS, and VMS platforms. The software is copyrighted but
+gnuplot: freely distributed (i.e., you don't have to pay for it). It was
gnuplot: originally intended as graphical program which would allow scientists
-gnuplot: and students to visualize mathematical functions and data. Gnuplot
+gnuplot: and students to visualize mathematical functions and data. Gnuplot
gnuplot: supports many different types of terminals, plotters, and printers
gnuplot: (including many color devices, and pseudo-devices like LaTeX) and is
gnuplot: easily extensible to include new devices.